Page 1 of 1

Problems with SAP V3 Module

PostPosted: Fri May 27, 2016 9:03 pm
by dbb
Hi,

I have a Moto G3 and a 2007 S-class with the Sap V3 module.
I could pair the phone and the dongle following the instructions here:

http://www.mercupgrades.com/manuals/cra ... manual.pdf

The android rsap app reports that the phone is connected, but t does not work.
The car reports no phone signal and if I try to recall the recent calls it just hangs on a dialog saying that it is receiving data from the phone.

I'm attaching a log, even though it doesn't look like there's a lot of useful info there.

Re: Problems with SAP V3 Module

PostPosted: Sun May 29, 2016 4:22 pm
by admin
The log indeed doesn't contain much. Please create a HCI log (see http://www.android-rsap.com/41-support/ ... i-log.html) and mail it to me.

Re: Problems with SAP V3 Module

PostPosted: Mon May 30, 2016 9:57 am
by dbb
I sent the log via email.

Re: Problems with SAP V3 Module

PostPosted: Tue May 31, 2016 2:11 pm
by admin
I can't spot a problem in the logs. It is strange that the SAP module doesn't try to authenticate with the mobile network. Maybe there is some hardware issue (e.g. antenna)? Maybe the card cannot handle a GSM connection? Did you already try a different SIM card? Did you already try to put the SIM card directly into the SAP module?

BTW: from the manual your module looks more like a SAP V2

Re: Problems with SAP V3 Module

PostPosted: Wed Jun 01, 2016 5:15 pm
by dbb
The SIM does seem to support GSM connection (or, at least, it works properly if I set the phone to only use 2G networks).
I don't think that the antenna has issues because it used to work up to a few days ago with a different phone.

UPDATE: I tried to put the SIM directly into the module and the result is the same.
It looks like the problem is not with bluetooth, but between the SIM and the module.

Sorry for the confusion on the module version. The one I have looks like the one in the manual I linked.

Re: Problems with SAP V3 Module

PostPosted: Fri Jun 03, 2016 9:40 pm
by admin
Maybe your provider supports only frequencies which the SAP module does not support? You may try a SAP V4 if you can get hold of one.